curl --request GET \
--url https://api-sandbox.finogates.com/v1/platform/card-processing/users/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.finogates.com/v1/platform/card-processing/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.finogates.com/v1/platform/card-processing/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_code": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"product": "card_acquiring",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyb_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_legal_name": "<string>",
"kyb": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"decline_reason": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_email": "<string>",
"subject_name": "<string>",
"business_legal_name": "<string>",
"business_ein": "<string>",
"business_type": "<string>",
"dba": "<string>",
"website": "<string>",
"registration_number": "<string>",
"formation_date": "<string>",
"mcc": "<string>",
"business_description": "<string>",
"business_email": "<string>",
"business_phone": "<string>",
"phone_country_code": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"contact_first_name": "<string>",
"contact_last_name": "<string>",
"contact_email": "<string>",
"business_documents": [
"<string>"
],
"ownership": [
{
"name": "<string>",
"role": "<string>",
"ownership_pct": 50
}
]
},
"decline_reason": "<string>",
"tokenization_key": "<string>",
"merchant_info_submitted_at": "2023-11-07T05:31:56Z",
"submitted_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"declined_at": "2023-11-07T05:31:56Z"
}
],
"query_generated_time": 123,
"row_count": 1,
"limit": 2,
"current_page": 2,
"total_page_number": 1,
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Card Processing Record(s)
Get a user’s card-processing applications.
Leave application_id out to get the full list of that user’s
card-processing applications. Provide an application_id to get just
that single application instead. Pass kyb=true to embed each
application’s full KYB business detail.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Optional. Provide an application ID to get just that one card-processing application. Leave it out to get the full list of the user's card-processing applications.
Set true to embed the full KYB (business) detail of each application under the kyb field. Defaults to false, in which case only kyb_id is returned.
Response
One application when application_id is supplied, otherwise the user's full list.
- ListResponse[list[PlatformCardProcessingRead]]
- CommonResponse[PlatformCardProcessingRead]
HTTP status code for the response.
Payload or error details.
Show child attributes
Show child attributes
UTC timestamp (milliseconds since epoch) when response was generated.
Total rows matching the request filters (not just this page).
x >= 0Page size used for this response. Null for cursor-paginated endpoints.
x >= 11-indexed page number for this response. Null for cursor-paginated endpoints.
x >= 1Total number of pages given the current limit. Null for cursor-paginated endpoints.
x >= 0Cursor for the next page, if available.

